## dipy 0.5.0

=== Makefile ===
# Simple makefile to quickly access handy build commands for Cython extension
# code generation.  Note that the actual code to produce the extension lives in
# the setup.py file, this Makefile is just meant as a command
# convenience/reminder while doing development.

PYTHON ?= python
PKGDIR=dipy
DOCSRC_DIR=doc
DOCDIR=${PKGDIR}/${DOCSRC_DIR}
TESTDIR=${PKGDIR}/tests

help:
	@echo "Numpy/Cython tasks.  Available tasks:"
	@echo "ext  -> build the Cython extension module."
	@echo "cython-html -> create annotated HTML from the .pyx sources"
	@echo "test -> run a simple test demo."
	@echo "all  -> Call ext, html and finally test."

all: ext cython-html test

ext: recspeed.so propspeed.so vox2track.so \
    distances.so

test: ext
	nosetests .

cython-html:  ${PKGDIR}/reconst/recspeed.html ${PKGDIR}/tracking/propspeed.html ${PKGDIR}/tracking/vox2track.html ${PKGDIR}/tracking/distances.html 

recspeed.so: ${PKGDIR}/reconst/recspeed.pyx
propspeed.so: ${PKGDIR}/tracking/propspeed.pyx
vox2track.so: ${PKGDIR}/tracking/vox2track.pyx
distances.so: ${PKGDIR}/tracking/distances.pyx

	python setup.py build_ext --inplace

# Phony targets for cleanup and similar uses

.PHONY: clean

clean:
	- find ${PKGDIR} -name "*.so" -print0 | xargs -0 rm
	- find ${PKGDIR} -name "*.pyd" -print0 | xargs -0 rm
	- find ${PKGDIR} -name "*.c" -print0 | xargs -0 rm
	- find ${PKGDIR} -name "*.html" -print0 | xargs -0 rm
	rm -rf build
	rm -rf docs/_build
	rm -rf docs/dist

distclean: clean
	rm -rf dist

# Suffix rules
%.c : %.pyx
	cython $<

%.html : %.pyx
	cython -a $<

# Print out info for possible install methods
check-version-info:
	$(PYTHON) -c 'from nisext.testers import info_from_here; info_from_here("dipy")'

# Run tests from installed code
installed-tests:
	$(PYTHON) -c 'from nisext.testers import tests_installed; tests_installed("dipy")'

# Run tests from installed code
sdist-tests:
	$(PYTHON) -c 'from nisext.testers import sdist_tests; sdist_tests("dipy")'

bdist-egg-tests:
	$(PYTHON) -c 'from nisext.testers import bdist_egg_tests; bdist_egg_tests("dipy")'

source-release: clean
	python -m compileall .
	python setup.py sdist --formats=gztar,zip

binary-release: clean
	python setup_egg.py bdist_egg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#
# "https://sourceforge.net/apps/trac/sourceforge/wiki/Release files for
# download".  To use, set your sourceforge username with 'export
# SF_USER=garyfallidis' or similar, then 'make upload-website'
#SF_USER ?= matthewbrett
SF_USER ?= garyfallidis
WWW_SF=nipy@web.sourceforge.net:/home/groups/n/ni/nipy/htdocs/dipy
RSYNC_SF=rsync -rzhvp --delete --chmod=Dg+s,g+rw

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean: examples-clean
	-rm -rf _build/*
	-rm *-stamp

examples-clean:
	-cd examples_built && rm -rf *.py *.rst *.png fig

examples-tgz: examples-clean rstexamples
	../tools/pack_examples.py ../dist

gitwash-update:
	python ../tools/gitwash_dumper.py devel dipy --repo-name=dipy --github-user=Garyfallidis

html: rstexamples html-after-examples
	# build full docs including examples

html-after-examples:
	# Standard html build after examples have been prepared
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/dipy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/dipy.qhc"

latex: rstexamples latex-after-examples

latex-after-examples:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

rstexamples: rstexamples-stamp
rstexamples-stamp:
	../tools/make_examples.py
	touch $@

pdf: pdf-stamp
pdf-stamp: latex
	cd _build/latex && make all-pdf
	touch $@

# This one udates for the specific user named at the top of the makefile
upload-website: upload-website-$(SF_USER)

upload-website-%: html
	$(RSYNC_SF) _build/html/* _build/latex/*.pdf $*,$(WWW_SF)

#upload-website-%: pdf-stamp html
#	$(RSYNC_SF) _build/html/* _build/latex/*.pdf $*,$(WWW_SF)

=== debian/changelog ===
dipy (0.5.0-3) unstable; urgency=low

  * Added patch up_explicit_cdefs_inits to prevent FTBFS with cython >= 0.15

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 20 Sep 2011 15:37:06 -0400

dipy (0.5.0-2) unstable; urgency=low

  * Upload to unstable
  * Fixed binary-arch build -- extensions were not installed. Thanks Jiří
    Keller for the report
  * Fixed ${Python:depends} -> ${python:Depends} (thanks Lintian)
  * Boosted policy to 3.9.2 (no changes are due)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Jul 2011 13:55:03 -0400

dipy (0.5.0-1) experimental; urgency=low

  * Initial release (Closes: #610347)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 09 Feb 2011 17:38:53 -0500

dipy (0.5.0~dev20110117-1~pre1) UNRELEASED; urgency=low

  * Initial packaging.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 17 Jan 2011 15:13:17 -0500

=== debian/control ===
Source: dipy
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python-support,
			   python-numpy,
			   python-scipy,
			   cython (>= 0.13),
			   python-matplotlib,
			   python-sphinx (>= 1.0),
			   python-nose,
			   python-nibabel
Standards-Version: 3.9.2
Homepage: http://nipy.org/dipy
Vcs-Git: git://github.com/neurodebian/dipy.git
Vcs-Browser: http://github.com/neurodebian/dipy

Package: python-dipy
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
		 python-numpy, python-scipy,
		 python-dipy-lib (>= ${source:Version})
Recommends: python-matplotlib,
			python-vtk,
			python-nose,
			python-nibabel,
			python-tables
Suggests: ipython
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: toolbox for analysis of MR diffusion imaging data
 Dipy is a toolbox for the analysis of diffusion magnetic resonance
 imaging data. It features:
  - Reconstruction algorithms, e.g. GQI, DTI
  - Tractography generation algorithms, e.g. EuDX
  - Intelligent downsampling of tracks
  - Ultra fast tractography clustering
  - Resampling datasets with anisotropic voxels to isotropic
  - Visualizing multiple brains simultaneously
  - Finding track correspondence between different brains
  - Warping tractographies into another space, e.g. MNI space
  - Reading many different file formats, e.g. Trackvis or NIfTI
  - Dealing with huge tractographies without memory restrictions
  - Playing with datasets interactively without storing


Package: python-dipy-lib
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: toolbox for analysis of MR diffusion imaging data -- extensions
 Dipy is a toolbox for the analysis of diffusion magnetic resonance
 imaging data.
 .
 This package provides architecture-dependent builds of the extensions.


Package: python-dipy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-dipy
Description: toolbox for analysis of MR diffusion imaging data -- documentation
 Dipy is a toolbox for the analysis of diffusion magnetic resonance
 imaging data.
 .
 This package provides the documentation in HTML format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKAGE_NAME = python-dipy
PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
INSTALL_PATH = $(CURDIR)/debian/tmp

# default Python
PYTHON=$(shell pyversions -d)
PYVER=$(shell pyversions -d -v)

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upver = $(shell echo $(debver) | cut -d '-' -f 1,1 )

%:
	dh --buildsystem=python_distutils $@

override_dh_auto_test:
	: # Do not test just after build, lets install and then test

override_dh_auto_build:
	dh_auto_build
	echo "backend : Agg" >| build/matplotlibrc

override_dh_auto_install:
	dh_auto_install
	: # Prune duplicate LICENSE file
	find debian/ -name LICENSE -delete
	: # Only now lets build docs
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	: # Copy pregenerated examples
	cp -rp doc-examples/doc/examples_built/* doc/examples_built/
	export PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$(PYTHON)/*-packages) \
		   MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	cd doc; $(MAKE) html-after-examples
	-rm doc/_build/html/_static/jquery.js
	-rm -r doc/_build/html/_sources
	: # objects inventory is of no use for the package
	-rm doc/_build/html/objects.inv
endif

	: # Run tests later on
	: # cd build to prevent use of local/not-built source tree
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd build; \
	for PYTHON in $(shell pyversions -r); do \
		echo "I: Running Dipy unittests using $$PYTHON"; \
		PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$$PYTHON/*-packages) \
		MPLCONFIGDIR=/tmp/ \
			$$PYTHON /usr/bin/nosetests dipy; \
	done
endif

override_dh_pysupport:
	: # I: Move libraries into the -lib and -lib-dbg packages
	find $(PACKAGE_ROOT_DIR)/ -iname *.so -delete || :  # remove .so from indep pkg if present
	find $(INSTALL_PATH)/ -iname *.so | \
	  while read so; do \
	    d=$$(dirname $$so); \
		if [ $${so%_d.so} = $${so} ]; then suf=""; else suf="-dbg"; fi; \
	    d=$$(echo $$d | sed -e "s,$(INSTALL_PATH)/,$(PACKAGE_ROOT_DIR)-lib$$suf/,g"); \
	    mkdir -p $$d; echo "Moving $$so under $$d"; mv $$so $$d; \
	  done
	dh_pysupport

## immediately useable documentation
## and exemplar data (they are small excerpts anyway)
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin -Xobjects.inv

override_dh_clean:
	: # I: Custom cleaning
	rm -rf build doc-stamp
	$(MAKE) -C doc clean
	dh_clean

get-orig-source:
	-quilt pop -a
	: # I Testing for uncommited changes
	@git diff --quiet HEAD
	: # I Composing main tarball
	mkdir -p tarballs
	git archive --format=tar --prefix=$(srcpkg)-$(upver)/ HEAD \
	| gzip -9 > ../tarballs/$(srcpkg)_$(upver).orig.tar.gz
#	: # I Building examples figures and tarball
#	python setup.py build
#	export PYTHONPATH=$$(/bin/ls -d $(CURDIR)/build/lib.*$(PYVER)); \
#		cd doc; $(MAKE) examples-tgz
#	mv dist/dipy-*-doc-examples.tar.gz ../tarballs/$(srcpkg)_$(upver).orig-doc-examples.tar.gz
	wget -O ../tarballs/$(srcpkg)_$(upver).orig-doc-examples.tar.gz \
		http://nipy.sourceforge.net/dipy/dipy-$(upver)-doc-examples.tar.gz
	: # Symlinking back into build-area for git-buildpackage not supporting multi-tarball atm
	[ -d ../build-area ] && ln -sf ../tarballs/$(srcpkg)_$(upver).orig*.tar.gz ../build-area

inject-doc-examples:
	mkdir -p doc-examples
	tar -C doc-examples --strip-components 1 \
	 -xzvf ../tarballs/$(srcpkg)_$(upver).orig-doc-examples.tar.gz

## dipy 0.6.0

=== debian/changelog ===
dipy (0.6.0-1~nd11.04+1) natty; urgency=low

  * Backported for natty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 15 Apr 2013 16:48:57 -0400

dipy (0.6.0-1) experimental; urgency=low

  * New upstream release
    - includes patches/up_explicit_cdefs_inits (dropped)
  * debian/watch
    - updated to fetch from github's tags
  * debian/changelog
    - updated years
  * debian/source/options
    - added to ignore generated COMMIT_INFO.txt
  * debian/rules
    - export http_proxy=http://127.0.0.1:9 to prevent any downloads
    - point PATH to the installed bin/ for tests to test example scripts
    - added cythonization so we could build backports with cython < 0.17.3
  * debian/control
    - provide X-Python-Version: >= 2.6 just to avoid warnings
    - boosted policy to 3.9.4 (no further changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Apr 2013 11:57:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dipy
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python-support,
 			   python-numpy,
@@ -11,14 +12,15 @@
 			   python-sphinx (>= 1.0),
 			   python-nose,
 			   python-nibabel
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://nipy.org/dipy
 Vcs-Git: git://github.com/neurodebian/dipy.git
 Vcs-Browser: http://github.com/neurodebian/dipy
+X-Python-Version: >= 2.6
 
 Package: python-dipy
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 		 python-numpy, python-scipy,
 		 python-dipy-lib (>= ${source:Version})
 Recommends: python-matplotlib,
@@ -47,7 +49,7 @@
 
 Package: python-dipy-lib
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: toolbox for analysis of MR diffusion imaging data -- extensions
@@ -60,7 +62,7 @@
 Package: python-dipy-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
 Suggests: python-dipy
 Description: toolbox for analysis of MR diffusion imaging data -- documentation
  Dipy is a toolbox for the analysis of diffusion magnetic resonance

=== debian/rules ===
--- 
+++ 
@@ -5,21 +5,62 @@
 PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
 INSTALL_PATH = $(CURDIR)/debian/tmp
 
+ifeq (,$(findstring get-orig-source, $(MAKECMDGOALS)))
+export  http_proxy=http://127.0.0.1:9/
+endif
+
 # default Python
 PYTHON=$(shell pyversions -d)
-PYVER=$(shell pyversions -d -v)
+PYVERS = $(shell pyversions -vr)
+PYVER = $(shell pyversions -vd)
+PY3VERS = $(shell py3versions -vr)
+PY3VER = $(shell py3versions -vd)
 
 srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
 debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
 upver = $(shell echo $(debver) | cut -d '-' -f 1,1 )
 
+MIN_CYTHONVER = 0.17.3
+
 %:
 	dh --buildsystem=python_distutils $@
+
+clean_generated:
+	find dipy -iname *.c | xargs grep -l -e 'Generated by Cython' | xargs -r rm -f
+	rm -f pyx-stamps
+
+_cythonize%:
+	debian/rules clean_generated # force removal of previous copies
+	make build-stamp-source && \
+	D=debian/cythonized-files$(*:2=) && \
+		git rm -rf $$D; \
+		find dipy/ -name *.c | while read f; do \
+			grep -q 'Generated by Cython' "$$f" || continue; \
+			mkdir -p "$$D/$$(dirname $$f)"; \
+			cp "$$f" "$$D/$$(dirname $$f)"; \
+			git add -f "$$D/$$f"; \
+		done; \
+		cp pyx-stamps $$D/; \
+		echo "$(upver)" >| $$D/VERSION; \
+		git add -f $$D/VERSION $$D/pyx-stamps
+
+
+_uncythonize%:
+	echo "D: HERE"
+	echo "$*" | grep -q '^3' && PY=3 || PY= ; \
+	CYTHONVER=$$(dpkg -l cython$$PY 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0); \
+	dpkg --compare-versions "$$CYTHONVER" lt "$(MIN_CYTHONVER)" && { \
+		echo "I: Using pre-Cython-ed files for Python $*"; \
+		cd debian/cythonized-files$$PY/ ; \
+		find . -name *.c | while read f; do cp $$f ../../$$f; done; \
+		cp pyx-stamps ../../; } || :
+
+cythonize: _cythonize2 # _cythonize3
 
 override_dh_auto_test:
 	: # Do not test just after build, lets install and then test
 
-override_dh_auto_build:
+override_dh_auto_build: _uncythonize2
 	dh_auto_build
 	echo "backend : Agg" >| build/matplotlibrc
 
@@ -46,9 +87,10 @@
 	cd build; \
 	for PYTHON in $(shell pyversions -r); do \
 		echo "I: Running Dipy unittests using $$PYTHON"; \
+        PATH=$(INSTALL_PATH)/usr/bin:$$PATH \
 		PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$$PYTHON/*-packages) \
 		MPLCONFIGDIR=/tmp/ \
-			$$PYTHON /usr/bin/nosetests dipy; \
+			$$PYTHON /usr/bin/nosetests -sv dipy; \
 	done
 endif

## dipy 0.7.1

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 vox2track.so: ${PKGDIR}/tracking/vox2track.pyx
 distances.so: ${PKGDIR}/tracking/distances.pyx
 
-	python setup.py build_ext --inplace
+	$(PYTHON) setup.py build_ext --inplace
 
 # Phony targets for cleanup and similar uses
 
@@ -45,6 +45,7 @@
 	rm -rf build
 	rm -rf docs/_build
 	rm -rf docs/dist
+	rm -rf dipy/dipy.egg-info
 
 distclean: clean
 	rm -rf dist
@@ -55,6 +56,10 @@
 
 %.html : %.pyx
 	cython -a $<
+
+# Check for files not installed
+check-files:
+	$(PYTHON) -c 'from nisext.testers import check_files; check_files("dipy")'
 
 # Print out info for possible install methods
 check-version-info:
@@ -72,9 +77,11 @@
 	$(PYTHON) -c 'from nisext.testers import bdist_egg_tests; bdist_egg_tests("dipy")'
 
 source-release: clean
-	python -m compileall .
-	python setup.py sdist --formats=gztar,zip
+	$(PYTHON) -m compileall .
+	$(PYTHON) setup.py sdist --formats=gztar,zip
 
 binary-release: clean
-	python setup_egg.py bdist_egg
+	$(PYTHON) setup_egg.py bdist_egg
 
+build-stamp-source:
+	$(PYTHON) -c 'import cythexts; cythexts.build_stamp_source()'

=== doc/Makefile ===
--- 
+++ 
@@ -40,11 +40,16 @@
 examples-clean:
 	-cd examples_built && rm -rf *.py *.rst *.png fig
 
-examples-tgz: examples-clean rstexamples
+examples-clean-tgz: examples-clean examples-tgz
+	../tools/pack_examples.py ../dist
+
+examples-tgz: rstexamples
 	../tools/pack_examples.py ../dist
 
 gitwash-update:
-	python ../tools/gitwash_dumper.py devel dipy --repo-name=dipy --github-user=Garyfallidis
+	python ../tools/gitwash_dumper.py devel dipy --repo-name=dipy --github-user=nipy \
+            --project-url=http://nipy.org/dipy \
+            --project-ml-url=http://mail.scipy.org/mailman/listinfo/nipy-devel
 
 html: rstexamples html-after-examples
 	# build full docs including examples
@@ -123,8 +128,14 @@
 # This one udates for the specific user named at the top of the makefile
 upload-website: upload-website-$(SF_USER)
 
-upload-website-%: html
+upload-website-%: html examples-tgz
 	$(RSYNC_SF) _build/html/* _build/latex/*.pdf $*,$(WWW_SF)
+
+# This one udates for the specific user named at the top of the makefile
+upload-examples: upload-examples-$(SF_USER)
+
+upload-examples-%: examples-tgz
+	$(RSYNC_SF) ../dist/*-doc-examples.tar.gz $*,$(WWW_SF)
 
 #upload-website-%: pdf-stamp html
 #	$(RSYNC_SF) _build/html/* _build/latex/*.pdf $*,$(WWW_SF)

=== debian/changelog ===
dipy (0.7.1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Fix DEP5 format specification
  * debian/control:
     - Set Vcs fields to anonscm.debian.org
     - Priority: optional
  * debian/blends, debian/upstream/metadata: Move publication data
    where they belong to

  [ Yaroslav Halchenko ]
  * Exclude peaksFromModelParallel from testing for now due to obscure
    permission issue

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Aug 2014 10:18:32 -0400

dipy (0.7.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches
    - dropping deb_interpreter_for_scripts_tests, changeset* patches --
      adopted upstream
    - adding up_AE_test_fixup_i386 to overcome test failures on 32bit
  * debian/control
    - boost policy to 3.9.5 (no further changes due)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 17 Jan 2014 09:41:26 -0500

dipy (0.6.0-2) unstable; urgency=low

  * Upload to unstable

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 23 Oct 2013 21:25:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dipy
 Section: python
-Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Priority: optional
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python-support,
 			   python-numpy,
@@ -12,15 +11,15 @@
 			   python-sphinx (>= 1.0),
 			   python-nose,
 			   python-nibabel
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://nipy.org/dipy
-Vcs-Git: git://github.com/neurodebian/dipy.git
-Vcs-Browser: http://github.com/neurodebian/dipy
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/dipy.git
+Vcs-Git: git://anonscm.debian.org/pkg-exppsy/dipy.git
 X-Python-Version: >= 2.6
 
 Package: python-dipy
 Architecture: all
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 		 python-numpy, python-scipy,
 		 python-dipy-lib (>= ${source:Version})
 Recommends: python-matplotlib,
@@ -49,7 +48,7 @@
 
 Package: python-dipy-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: toolbox for analysis of MR diffusion imaging data -- extensions
@@ -62,7 +61,7 @@
 Package: python-dipy-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery
 Suggests: python-dipy
 Description: toolbox for analysis of MR diffusion imaging data -- documentation
  Dipy is a toolbox for the analysis of diffusion magnetic resonance

=== debian/rules ===
--- 
+++ 
@@ -90,7 +90,7 @@
         PATH=$(INSTALL_PATH)/usr/bin:$$PATH \
 		PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$$PYTHON/*-packages) \
 		MPLCONFIGDIR=/tmp/ \
-			$$PYTHON /usr/bin/nosetests -sv dipy; \
+			$$PYTHON /usr/bin/nosetests -sv --exclude test_peaksFromModelParallel dipy; \
 	done
 endif
 
@@ -119,12 +119,13 @@
 
 get-orig-source:
 	-quilt pop -a
-	: # I Testing for uncommited changes
-	@git diff --quiet HEAD
-	: # I Composing main tarball
-	mkdir -p tarballs
-	git archive --format=tar --prefix=$(srcpkg)-$(upver)/ HEAD \
-	| gzip -9 > ../tarballs/$(srcpkg)_$(upver).orig.tar.gz
+	uscan --verbose --download-current
+#	: # I Testing for uncommited changes
+#	@git diff --quiet HEAD
+#	: # I Composing main tarball
+#	mkdir -p tarballs
+#	git archive --format=tar --prefix=$(srcpkg)-$(upver)/ HEAD \
+#	| gzip -9 > ../tarballs/$(srcpkg)_$(upver).orig.tar.gz
 #	: # I Building examples figures and tarball
 #	python setup.py build
 #	export PYTHONPATH=$$(/bin/ls -d $(CURDIR)/build/lib.*$(PYVER)); \

## dipy 0.8.0

=== Makefile ===
--- 
+++ 
@@ -19,17 +19,28 @@
 all: ext cython-html test
 
 ext: recspeed.so propspeed.so vox2track.so \
-    distances.so
+    distances.so streamlinespeed.so denspeed.so \
+    vec_val_sum.so quick_squash.so vector_fields.so \
+    crosscorr.so sumsqdiff.so expectmax.so bundlemin.so
 
 test: ext
 	nosetests .
 
-cython-html:  ${PKGDIR}/reconst/recspeed.html ${PKGDIR}/tracking/propspeed.html ${PKGDIR}/tracking/vox2track.html ${PKGDIR}/tracking/distances.html 
+cython-html:  ${PKGDIR}/reconst/recspeed.html ${PKGDIR}/tracking/propspeed.html ${PKGDIR}/tracking/vox2track.html ${PKGDIR}/tracking/distances.html ${PKGDIR}/tracking/streamlinespeed.html
 
 recspeed.so: ${PKGDIR}/reconst/recspeed.pyx
 propspeed.so: ${PKGDIR}/tracking/propspeed.pyx
 vox2track.so: ${PKGDIR}/tracking/vox2track.pyx
 distances.so: ${PKGDIR}/tracking/distances.pyx
+streamlinespeed.so: ${PKGDIR}/tracking/streamlinespeed.pyx
+denspeed.so: ${PKGDIR}/denoise/denspeed.pyx
+vec_val_sum.so: ${PKGDIR}/reconst/vec_val_sum.pyx
+quick_squash.so: ${PKGDIR}/reconst/quick_squash.pyx
+vector_fields.so: ${PKGDIR}/align/vector_fields.pyx
+crosscorr.so: ${PKGDIR}/align/crosscorr.pyx
+sumsqdiff.so: ${PKGDIR}/align/sumsqdiff.pyx
+expectmax.so: ${PKGDIR}/align/expectmax.pyx
+bundlemin.so: ${PKGDIR}/align/bundlemin.pyx
 
 	$(PYTHON) setup.py build_ext --inplace

=== debian/changelog ===
dipy (0.8.0-1~nd12.04+1) precise; urgency=low

  * Backported for precise.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 07 Jan 2015 23:59:13 -0500

dipy (0.8.0-1) experimental; urgency=medium

  * New upstream release
  * debian/{control,rules}
    - migrated from using python-support
  * debian/copyright
    - various small tune ups to satisfy format

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 07 Jan 2015 17:07:25 -0500

dipy (0.7.1+git1225-gb048445-1) UNRELEASED; urgency=medium

  * Fresh upstream snapshot
  * debian/control
    - added libgomp1 to b-depends to facilitate build/testing OPENMP code
    - policy boost to 3.9.6
  * debian/patches -- slight adjustments
  * debian/rules
    - clean away Cython generated files

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 29 Dec 2014 22:34:46 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: dipy
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python-support,
-			   python-numpy,
-			   python-scipy,
-			   cython (>= 0.13),
-			   python-matplotlib,
-			   python-sphinx (>= 1.0),
-			   python-nose,
-			   python-nibabel
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7.0.50~), python-all-dev,
+               python-numpy,
+               python-scipy,
+               cython (>= 0.13),
+               python-matplotlib,
+               python-sphinx (>= 1.0),
+               python-nose,
+               python-nibabel,
+               libgomp1,
+Standards-Version: 3.9.6
 Homepage: http://nipy.org/dipy
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/dipy.git
 Vcs-Git: git://anonscm.debian.org/pkg-exppsy/dipy.git
@@ -19,7 +21,7 @@
 
 Package: python-dipy
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 		 python-numpy, python-scipy,
 		 python-dipy-lib (>= ${source:Version})
 Recommends: python-matplotlib,
@@ -48,7 +50,7 @@
 
 Package: python-dipy-lib
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: toolbox for analysis of MR diffusion imaging data -- extensions
@@ -61,7 +63,7 @@
 Package: python-dipy-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
 Suggests: python-dipy
 Description: toolbox for analysis of MR diffusion imaging data -- documentation
  Dipy is a toolbox for the analysis of diffusion magnetic resonance

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-PACKAGE_NAME = python-dipy
-PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
+PACKAGE2_NAME = python-dipy
+PACKAGE_ROOT_DIR = debian/${PACKAGE2_NAME}
 INSTALL_PATH = $(CURDIR)/debian/tmp
 
 ifeq (,$(findstring get-orig-source, $(MAKECMDGOALS)))
@@ -20,14 +20,17 @@
 debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
 upver = $(shell echo $(debver) | cut -d '-' -f 1,1 )
 
-MIN_CYTHONVER = 0.17.3
+MIN_CYTHONVER = 0.21
 
 %:
-	dh --buildsystem=python_distutils $@
+	dh --buildsystem=python_distutils $@  --with python2
 
 clean_generated:
 	find dipy -iname *.c | xargs grep -l -e 'Generated by Cython' | xargs -r rm -f
 	rm -f pyx-stamps
+
+override_dh_auto_clean: clean_generated
+	dh_auto_clean $@
 
 _cythonize%:
 	debian/rules clean_generated # force removal of previous copies
@@ -94,17 +97,17 @@
 	done
 endif
 
-override_dh_pysupport:
-	: # I: Move libraries into the -lib and -lib-dbg packages
-	find $(PACKAGE_ROOT_DIR)/ -iname *.so -delete || :  # remove .so from indep pkg if present
-	find $(INSTALL_PATH)/ -iname *.so | \
-	  while read so; do \
-	    d=$$(dirname $$so); \
-		if [ $${so%_d.so} = $${so} ]; then suf=""; else suf="-dbg"; fi; \
-	    d=$$(echo $$d | sed -e "s,$(INSTALL_PATH)/,$(PACKAGE_ROOT_DIR)-lib$$suf/,g"); \
-	    mkdir -p $$d; echo "Moving $$so under $$d"; mv $$so $$d; \
-	  done
-	dh_pysupport
+## remove .so libraries from main package, and call dh_numpy*
+## while removing 2 if not present
+_dh_python%:
+	if [ -d debian/$(PACKAGE$*_NAME)/usr/lib ]; then \
+	   find debian/$(PACKAGE$*_NAME)/usr/lib -name "*.so" -delete; \
+	fi
+	[ -e /usr/bin/dh_numpy$(*:2=) ] && dh_numpy$(*:2=) -p$(PACKAGE$*_NAME)-lib || :
+	dh_python$*
+
+## "Instantiate" both rules so dh sees them
+override_dh_python2: _dh_python2
 
 ## immediately useable documentation
 ## and exemplar data (they are small excerpts anyway)

## dipy 0.9.2

=== doc/Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  html      to make standalone HTML files"
+	@echo "  api       to make the auto-generated API files"
 	@echo "  dirhtml   to make HTML files named index.html in directories"
 	@echo "  pickle    to make pickle files"
 	@echo "  json      to make JSON files"
@@ -33,9 +34,17 @@
 	@echo "  linkcheck to check all external links for integrity"
 	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
 
-clean: examples-clean
+clean: api-clean examples-clean
 	-rm -rf _build/*
 	-rm *-stamp
+
+api-clean:
+	rm -rf reference/*.rst
+
+api:
+	@mkdir -p reference
+	$(PYTHON) tools/build_modref_templates.py dipy reference
+	@echo "Build API docs...done."
 
 examples-clean:
 	-cd examples_built && rm -rf *.py *.rst *.png fig
@@ -51,7 +60,7 @@
             --project-url=http://nipy.org/dipy \
             --project-ml-url=http://mail.scipy.org/mailman/listinfo/nipy-devel
 
-html: rstexamples html-after-examples
+html: api rstexamples html-after-examples
 	# build full docs including examples
 
 html-after-examples:

=== debian/changelog ===
dipy (0.9.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control
    - limit to python >= 2.7 to avoid problem while testing scripts while
      having two Python versions supported
      (see https://github.com/nipy/dipy/issues/354#issuecomment-69251564)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 19 Mar 2015 22:55:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dipy
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev,
                python-numpy,
@@ -17,11 +16,11 @@
 Homepage: http://nipy.org/dipy
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/dipy.git
 Vcs-Git: git://anonscm.debian.org/pkg-exppsy/dipy.git
-X-Python-Version: >= 2.6
+X-Python-Version: >= 2.7
 
 Package: python-dipy
 Architecture: all
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 		 python-numpy, python-scipy,
 		 python-dipy-lib (>= ${source:Version})
 Recommends: python-matplotlib,
@@ -50,7 +49,7 @@
 
 Package: python-dipy-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: toolbox for analysis of MR diffusion imaging data -- extensions
@@ -63,7 +62,7 @@
 Package: python-dipy-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery
 Suggests: python-dipy
 Description: toolbox for analysis of MR diffusion imaging data -- documentation
  Dipy is a toolbox for the analysis of diffusion magnetic resonance

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,10 @@
 
 # default Python
 PYTHON=$(shell pyversions -d)
-PYVERS = $(shell pyversions -vr)
-PYVER = $(shell pyversions -vd)
-PY3VERS = $(shell py3versions -vr)
-PY3VER = $(shell py3versions -vd)
+#PYVERS = $(shell pyversions -vr)
+#PYVER = $(shell pyversions -vd)
+#PY3VERS = $(shell py3versions -vr)
+#PY3VER = $(shell py3versions -vd)
 
 srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
 debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )

## dipy 0.10.1

=== Makefile ===
--- 
+++ 
@@ -21,14 +21,21 @@
 ext: recspeed.so propspeed.so vox2track.so \
     distances.so streamlinespeed.so denspeed.so \
     vec_val_sum.so quick_squash.so vector_fields.so \
-    crosscorr.so sumsqdiff.so expectmax.so bundlemin.so
+    crosscorr.so sumsqdiff.so expectmax.so bundlemin.so \
+    cythonutils.so featurespeed.so metricspeed.so \
+    clusteringspeed.so clustering_algorithms.so
 
 test: ext
 	nosetests .
 
-cython-html:  ${PKGDIR}/reconst/recspeed.html ${PKGDIR}/tracking/propspeed.html ${PKGDIR}/tracking/vox2track.html ${PKGDIR}/tracking/distances.html ${PKGDIR}/tracking/streamlinespeed.html
+cython-html:  ${PKGDIR}/reconst/recspeed.html ${PKGDIR}/tracking/propspeed.html ${PKGDIR}/tracking/vox2track.html ${PKGDIR}/tracking/distances.html ${PKGDIR}/tracking/streamlinespeed.html ${PKGDIR}/segment/cythonutils.html ${PKGDIR}/segment/featurespeed.html ${PKGDIR}/segment/metricspeed.html ${PKGDIR}/segment/clusteringspeed.html ${PKGDIR}/segment/clustering_algorithms.html
 
 recspeed.so: ${PKGDIR}/reconst/recspeed.pyx
+cythonutils.so: ${PKGDIR}/segment/cythonutils.pyx
+featurespeed.so: ${PKGDIR}/segment/featurespeed.pyx
+metricspeed.so: ${PKGDIR}/segment/metricspeed.pyx
+clusteringspeed.so: ${PKGDIR}/segment/clusteringspeed.pyx
+clustering_algorithms.so: ${PKGDIR}/segment/clustering_algorithms.pyx
 propspeed.so: ${PKGDIR}/tracking/propspeed.pyx
 vox2track.so: ${PKGDIR}/tracking/vox2track.pyx
 distances.so: ${PKGDIR}/tracking/distances.pyx

=== requirements.txt ===
numpy>=1.6
scipy>=0.9
cython>=0.18
nibabel>=1.2

=== doc/Makefile ===
--- 
+++ 
@@ -1,12 +1,5 @@
 # Makefile for Sphinx documentation
 #
-# "https://sourceforge.net/apps/trac/sourceforge/wiki/Release files for
-# download".  To use, set your sourceforge username with 'export
-# SF_USER=garyfallidis' or similar, then 'make upload-website'
-#SF_USER ?= matthewbrett
-SF_USER ?= garyfallidis
-WWW_SF=nipy@web.sourceforge.net:/home/groups/n/ni/nipy/htdocs/dipy
-RSYNC_SF=rsync -rzhvp --delete --chmod=Dg+s,g+rw
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
@@ -58,7 +51,7 @@
 gitwash-update:
 	python ../tools/gitwash_dumper.py devel dipy --repo-name=dipy --github-user=nipy \
             --project-url=http://nipy.org/dipy \
-            --project-ml-url=http://mail.scipy.org/mailman/listinfo/nipy-devel
+            --project-ml-url=https://mail.python.org/mailman/listinfo/neuroimaging
 
 html: api rstexamples html-after-examples
 	# build full docs including examples
@@ -134,19 +127,5 @@
 	cd _build/latex && make all-pdf
 	touch $@
 
-# This one udates for the specific user named at the top of the makefile
-upload-website: upload-website-$(SF_USER)
-
-upload-website-%: html examples-tgz
-	$(RSYNC_SF) _build/html/* _build/latex/*.pdf $*,$(WWW_SF)
-
-# This one udates for the specific user named at the top of the makefile
-upload-examples: upload-examples-$(SF_USER)
-
-upload-examples-%: examples-tgz
-	$(RSYNC_SF) ../dist/*-doc-examples.tar.gz $*,$(WWW_SF)
-
-#upload-website-%: pdf-stamp html
-#	$(RSYNC_SF) _build/html/* _build/latex/*.pdf $*,$(WWW_SF)
-
-
+upload: html
+	./upload-gh-pages.sh _build/html/ dipy nipy

=== debian/changelog ===
dipy (0.10.1-1) unstable; urgency=medium

  [ Michael Hanke ]
  * Upload to unstable (Closes: #785991).
  * Update maintainer email.
  * Modify build to enable reproducible build (Closes: #789747). Patch is
    courtesy of Juan Picca <jumapico@gmail.com>.

  [ Yaroslav Halchenko ]
  * Fresh upstream release
  * debian/patches/up_numpy_compat-PR858.patch - for compatibility with numpy
    1:1.11.0~b2 

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 08 Feb 2016 20:04:07 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
+Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <mih@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev,
-               python-numpy,
+               python-numpy (>= 1:1.7.1~),
                python-scipy,
                cython (>= 0.13),
                python-matplotlib,
@@ -21,7 +21,7 @@
 Package: python-dipy
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
-		 python-numpy, python-scipy,
+		 python-numpy (>= 1:1.7.1~), python-scipy,
 		 python-dipy-lib (>= ${source:Version})
 Recommends: python-matplotlib,
 			python-vtk,

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,10 @@
 upver = $(shell echo $(debver) | cut -d '-' -f 1,1 )
 
 MIN_CYTHONVER = 0.21
+
+LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+SPHINXOPTS := -D today=\"$(BUILD_DATE)\"
 
 %:
 	dh --buildsystem=python_distutils $@  --with python2
@@ -77,7 +81,7 @@
 	cp -rp doc-examples/doc/examples_built/* doc/examples_built/
 	export PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$(PYTHON)/*-packages) \
 		   MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
-	cd doc; $(MAKE) html-after-examples
+	cd doc; $(MAKE) html-after-examples SPHINXOPTS="$(SPHINXOPTS)"
 	-rm doc/_build/html/_static/jquery.js
 	-rm -r doc/_build/html/_sources
 	: # objects inventory is of no use for the package

## dipy 0.11.0

=== requirements.txt ===
# Check against .travis.yml file and dipy/info.py
numpy>=1.7.1
scipy>=0.9
cython>=0.18
nibabel>=1.2

=== debian/changelog ===
dipy (0.11.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - changed Priority to extra to be inline with suite overrides
    - boost policy to 3.9.7 (no extra changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 21 Feb 2016 19:09:50 -0500

=== debian/control ===
Source: dipy
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <mih@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev,
               python-numpy (>= 1:1.7.1~),
               python-scipy,
               cython (>= 0.13),
               python-matplotlib,
               python-sphinx (>= 1.0),
               python-nose,
               python-nibabel,
               libgomp1,
Standards-Version: 3.9.7
Homepage: http://dipy.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/dipy.git
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/dipy.git
X-Python-Version: >= 2.7

Package: python-dipy
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
		 python-numpy (>= 1:1.7.1~), python-scipy,
		 python-dipy-lib (>= ${source:Version})
Recommends: python-matplotlib,
			python-vtk,
			python-nose,
			python-nibabel,
			python-tables
Suggests: ipython
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python library for the analysis of diffusion MRI datasets
 DIPY is a software project for computational neuroanatomy. It focuses
 on diffusion magnetic resonance imaging (dMRI) analysis and
 tractography but also contains implementations of other computational
 imaging methods such as denoising and registration that are
 applicable to the greater medical imaging and image processing
 communities. Additionally, DIPY is an international project which
 brings together scientists across labs and countries to share their
 state-of-the-art code and expertise in the same codebase,
 accelerating scientific research in medical imaging.
 .
 Here are some of the highlights:
  - Reconstruction algorithms: CSD, DSI, GQI, DTI, DKI, QBI, SHORE
    and MAPMRI
  - Fiber tracking algorithms: deterministic and probabilistic
  - Native linear and nonlinear registration of images
  - Fast operations on streamlines (selection, resampling, registration)
  - Tractography segmentation and clustering
  - Many image operations, e.g., reslicing or denoising with NLMEANS
  - Estimation of distances/correspondences between streamlines and
    connectivity matrices
  - Interactive visualization of streamlines in the space of images

Package: python-dipy-lib
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python library for the analysis of diffusion MRI datasets -- extensions
 DIPY is a library for the analysis of diffusion magnetic resonance
 imaging data.
 .
 This package provides architecture-dependent builds of the extensions.


Package: python-dipy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-dipy
Description: Python library for the analysis of diffusion MRI datasets -- documentation
 DIPY is a library for the analysis of diffusion magnetic resonance
 imaging data.
 .
 This package provides the documentation in HTML format.

## dipy 0.12.0

=== requirements.txt ===
# Check against .travis.yml file and dipy/info.py
cython>=0.25.1
numpy>=1.7.1
scipy>=0.9
nibabel>=2.1.0

=== doc/Makefile ===
--- 
+++ 
@@ -37,6 +37,8 @@
 api:
 	@mkdir -p reference
 	$(PYTHON) tools/build_modref_templates.py dipy reference
+	@mkdir -p reference_cmd
+	$(PYTHON) tools/docgen_cmd.py dipy reference_cmd
 	@echo "Build API docs...done."
 
 examples-clean:

=== debian/changelog ===
dipy (0.12.0-1~nd14.04+1) trusty; urgency=medium

  * Backported for trusty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 10 Jul 2017 21:40:31 -0400

dipy (0.12.0-1) unstable; urgency=medium

  * Fresh upstream release
    - upstream requires cython >= 0.25.1 for recythonization

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 03 Jul 2017 23:19:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dipy
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <mih@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev,
                python-numpy (>= 1:1.7.1~),
@@ -20,7 +21,7 @@
 
 Package: python-dipy
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 		 python-numpy (>= 1:1.7.1~), python-scipy,
 		 python-dipy-lib (>= ${source:Version})
 Recommends: python-matplotlib,
@@ -56,7 +57,7 @@
 
 Package: python-dipy-lib
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Python library for the analysis of diffusion MRI datasets -- extensions
@@ -69,7 +70,7 @@
 Package: python-dipy-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
 Suggests: python-dipy
 Description: Python library for the analysis of diffusion MRI datasets -- documentation
  DIPY is a library for the analysis of diffusion magnetic resonance
